Bug 1305351 - [abrt] liferea: JSC::JSCell::getPrimitiveNumber(): liferea killed by SIGSEGV
[abrt] liferea: JSC::JSCell::getPrimitiveNumber(): liferea killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaakov Selkowitz
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d135fe71f1a5bb619bc7a094f23...
:
: 1329812 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-07 07:24 EST by vikiwiki
Modified: 2016-12-20 13:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:30:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.18 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: core_backtrace (29.82 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: dso_list (16.43 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: environ (1.38 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: maps (122.05 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: mountinfo (3.22 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: open_fds (2.56 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: var_log_messages (298 bytes, text/plain)
2016-02-07 07:24 EST, vikiwiki
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-02-07 07:25 EST, vikiwiki
no flags Details
File: backtrace (43.89 KB, text/plain)
2016-02-10 18:01 EST, vinivxl
no flags Details

  None (edit)
Description vikiwiki 2016-02-07 07:24:32 EST
Version-Release number of selected component:
liferea-1.10.17-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        liferea
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/liferea
global_pid:     9018
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 JSC::JSCell::getPrimitiveNumber at Source/JavaScriptCore/runtime/JSCell.cpp:134
 #1 JSC::JSValue::getPrimitiveNumber at Source/JavaScriptCore/runtime/JSCJSValueInlines.h:599
 #2 JSC::jsLess<true> at Source/JavaScriptCore/runtime/Operations.h:136
 #3 JSC::operationCompareLess at Source/JavaScriptCore/jit/JITOperations.cpp:829
 #4 ??
Comment 1 vikiwiki 2016-02-07 07:24:39 EST
Created attachment 1121884 [details]
File: backtrace
Comment 2 vikiwiki 2016-02-07 07:24:40 EST
Created attachment 1121885 [details]
File: cgroup
Comment 3 vikiwiki 2016-02-07 07:24:43 EST
Created attachment 1121886 [details]
File: core_backtrace
Comment 4 vikiwiki 2016-02-07 07:24:45 EST
Created attachment 1121887 [details]
File: dso_list
Comment 5 vikiwiki 2016-02-07 07:24:46 EST
Created attachment 1121888 [details]
File: environ
Comment 6 vikiwiki 2016-02-07 07:24:48 EST
Created attachment 1121889 [details]
File: limits
Comment 7 vikiwiki 2016-02-07 07:24:51 EST
Created attachment 1121890 [details]
File: maps
Comment 8 vikiwiki 2016-02-07 07:24:52 EST
Created attachment 1121891 [details]
File: mountinfo
Comment 9 vikiwiki 2016-02-07 07:24:54 EST
Created attachment 1121892 [details]
File: namespaces
Comment 10 vikiwiki 2016-02-07 07:24:56 EST
Created attachment 1121893 [details]
File: open_fds
Comment 11 vikiwiki 2016-02-07 07:24:57 EST
Created attachment 1121894 [details]
File: proc_pid_status
Comment 12 vikiwiki 2016-02-07 07:24:59 EST
Created attachment 1121895 [details]
File: var_log_messages
Comment 13 vikiwiki 2016-02-07 07:25:01 EST
Created attachment 1121896 [details]
File: exploitable
Comment 14 vinivxl 2016-02-10 18:01:16 EST
Similar problem has been detected:

It happened when I was using Liferea to browse my RSS feeds, viewing with the built-in browser.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        liferea
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/liferea
global_pid:     6590
kernel:         4.3.5-300.fc23.x86_64
package:        liferea-1.10.17-1.fc23
reason:         liferea killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 vinivxl 2016-02-10 18:01:20 EST
Created attachment 1123010 [details]
File: backtrace
Comment 16 Fedora Admin XMLRPC Client 2016-02-12 13:22:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2016-02-12 14:00:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Mark Chandler 2016-02-15 19:34:19 EST
Similar problem has been detected:

The crashes happen fairly randomly. Usually quite soon after interacting with the app. My feeling is that scrolling seems to initiate the failure. But, it may just be that I'm scrolling more often than not.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        liferea
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/liferea
global_pid:     8300
kernel:         4.3.5-300.fc23.x86_64
package:        liferea-1.10.17-1.fc23
reason:         liferea killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Mark Chandler 2016-02-18 08:11:19 EST
Similar problem has been detected:

Using the app normally.
I think my mouse pointer was moving over the title bar (I have select-on-mouse-over on).

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        liferea
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/liferea
global_pid:     7989
kernel:         4.3.5-300.fc23.x86_64
package:        liferea-1.10.18-1.fc23
reason:         liferea killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 vikiwiki 2016-04-23 08:15:18 EDT
*** Bug 1329812 has been marked as a duplicate of this bug. ***
Comment 21 Fedora End Of Life 2016-11-24 10:26:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2016-12-20 13:30:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.